<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.rongwei.bscommon.sys.dao.FsEhsVariationOrderDao">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.bsentity.domain.FsEhsVariationOrderDo">
        <id column="ID" property="id" />
        <result column="TENANTID" property="tenantid" />
        <result column="ROPTION" property="roption" />
        <result column="DELETED" property="deleted" />
        <result column="REMARK" property="remark" />
        <result column="CREATEDATE" property="createdate" />
        <result column="CREATEUSERID" property="createuserid" />
        <result column="CREATEUSERNAME" property="createusername" />
        <result column="MODIFYDATE" property="modifydate" />
        <result column="MODIFYUSERID" property="modifyuserid" />
        <result column="MODIFYUSERNAME" property="modifyusername" />
        <result column="PROCESSINSTID" property="processinstid" />
        <result column="PROCESSINSTSTATUS" property="processinststatus" />
        <result column="MASTERID" property="masterid" />
        <result column="FACILITYNAME" property="facilityname" />
        <result column="APPLICATIONTIME" property="applicationtime" />
        <result column="COORDINATORID" property="coordinatorid" />
        <result column="COORDINATOR" property="coordinator" />
        <result column="SERIALNUMBER" property="serialnumber" />
        <result column="CHANGEMANAGERID" property="changemanagerid" />
        <result column="CHANGEMANAGER" property="changemanager" />
        <result column="CHANGETIMELIMIT" property="changetimelimit" />
        <result column="STATETIME" property="statetime" />
        <result column="ENDTIME" property="endtime" />
        <result column="CHANGETYPE" property="changetype" />
        <result column="CHANGECATEGORY" property="changecategory" />
        <result column="CHANGENARRATE" property="changenarrate" />
        <result column="CHANGECONTENT" property="changecontent" />
        <result column="REGISTERTEMPLATEFILE" property="registertemplatefile" />
        <result column="REGISTERFILE" property="registerfile" />
        <result column="RISKASSESSWAY" property="riskassessway" />
        <result column="SAFETYORHEALTH" property="safetyorhealth" />
        <result column="ENVIROMENT" property="enviroment" />
        <result column="SAFETYORHEALTHAFFECT" property="safetyorhealthaffect" />
        <result column="ENVIROMENTAFFECT" property="enviromentaffect" />
        <result column="WASTE" property="waste" />
        <result column="TECHNICALBASE" property="technicalbase" />
        <result column="CUSTOMERUSERISK" property="customeruserisk" />
        <result column="RISKEXPLAIN" property="riskexplain" />
        <result column="PROGRESSPRODUCT" property="progressproduct" />
        <result column="INFORMCLIENT" property="informclient" />
        <result column="BREAKPOINTDESCRIPTION" property="breakpointdescription" />
        <result column="EHSMANAGERID" property="ehsmanagerid" />
        <result column="EHSMANAGER" property="ehsmanager" />
        <result column="MAINTAINMANAGERID" property="maintainmanagerid" />
        <result column="MAINTAIN" property="maintain" />
        <result column="QUALITYMANAGERID" property="qualitymanagerid" />
        <result column="QUALITYMANAGER" property="qualitymanager" />
        <result column="SCIENCEMANAGERID" property="sciencemanagerid" />
        <result column="SCIENCEMANAGER" property="sciencemanager" />
        <result column="OPERATIONMANAGERID" property="operationmanagerid" />
        <result column="OPERATIONMANAGER" property="operationmanager" />
        <result column="PROJECTMANAGERID" property="projectmanagerid" />
        <result column="PROJECTMANAGER" property="projectmanager" />
        <result column="RATIFYRESTPRINCIPALID" property="ratifyrestprincipalid" />
        <result column="RATIFYRESTPRINCIPAL" property="ratifyrestprincipal" />
        <result column="CHANGEFILE" property="changefile" />
        <result column="INSTALLNORM" property="installnorm" />
        <result column="EHSREPID" property="ehsrepid" />
        <result column="EHSREP" property="ehsrep" />
        <result column="MAINTAINREPID" property="maintainrepid" />
        <result column="MAINTAINREP" property="maintainrep" />
        <result column="QUALITYREPID" property="qualityrepid" />
        <result column="QUALITYREP" property="qualityrep" />
        <result column="OPERATIONREPID" property="operationrepid" />
        <result column="OPERATIONREP" property="operationrep" />
        <result column="PRODUCTREPID" property="productrepid" />
        <result column="PRODUCTREP" property="productrep" />
        <result column="PROJECTREPID" property="projectrepid" />
        <result column="PROJECTREP" property="projectrep" />
        <result column="EXAMINERESTPRINCIPALID" property="examinerestprincipalid" />
        <result column="EXAMINERESTPRINCIPAL" property="examinerestprincipal" />
        <result column="PREOPERATIONCHECK" property="preoperationcheck" />
        <result column="INSPECTIONPROCESS" property="inspectionprocess" />
        <result column="CHANGEFILEEXPLAIN" property="changefileexplain" />
        <result column="CHANGEFULFILL" property="changefulfill" />
        <result column="CATEGORY" property="category" />
        <result column="DEPTID" property="deptid" />
        <result column="DEPTNAME" property="deptname" />
    </resultMap>

</mapper>
